package tree

import (
	"math/big"
	"testing"

	"github.com/ethereum/go-ethereum/common"
)

func TestMst(t *testing.T) {
	datas := [][]byte{}
	vals := []*big.Int{}
	for i := 1; i <= 1; i++ {
		datas = append(datas, common.HexToAddress("0x84A3175be614F5886f99Da506dF08682DF530739").Bytes())
		vals = append(vals, big.NewInt(int64(3)))
	}

	tree := NewMerkleSumTree(datas, vals)
	t.Log(tree.GetRoot())
	t.Log(tree.RootNode.Value.Hash, tree.RootNode.Value.BigValue)
	t.Log("---")

	resp := MerkleSumTreeTraversal(tree.RootNode, 3)
	for i := range resp {
		t.Log(resp[i])
	}
	t.Log("---")

}
